osmo_gad_ell_point_unc_circle Struct Reference
3GPP TS 23.032 GAD: Universal Geographical Area Description.

`#include <gad.h>`

## Data Fields

int32_t | lat
| Latitude in micro degrees (degrees * 1e6), -90'000'000 (S) . More...
int32_t | lon
| Longitude in micro degrees (degrees * 1e6), -180'000'000 (W) . More...
uint32_t | unc
| Uncertainty circle radius in millimeters (m * 1e3), 0 . More...

## Field Documentation

## lat

int32_t osmo_gad_ell_point_unc_circle::lat

Latitude in micro degrees (degrees * 1e6), -90'000'000 (S) .

. 90'000'000 (N).

Referenced by osmo_gad_dec_ell_point_unc_circle(), osmo_gad_enc_ell_point_unc_circle(), and osmo_gad_to_str_buf().

## lon

int32_t osmo_gad_ell_point_unc_circle::lon

Longitude in micro degrees (degrees * 1e6), -180'000'000 (W) .

. 180'000'000 (E).

Referenced by osmo_gad_dec_ell_point_unc_circle(), osmo_gad_enc_ell_point_unc_circle(), and osmo_gad_to_str_buf().

## unc

uint32_t osmo_gad_ell_point_unc_circle::unc

Uncertainty circle radius in millimeters (m * 1e3), 0 .

. 18'000'000.

Referenced by osmo_gad_dec_ell_point_unc_circle(), osmo_gad_enc_ell_point_unc_circle(), and osmo_gad_to_str_buf().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/gad.h